org.eclipse.lyo.client.oslc.resources

## Class Requirement

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.AbstractResource
  - - org.eclipse.lyo.client.oslc.resources.Requirement

- All Implemented Interfaces:
    org.eclipse.lyo.oslc4j.core.model.IExtendedResource, org.eclipse.lyo.oslc4j.core.model.IResource
  Direct Known Subclasses:
    RequirementCollection

      @OslcNamespace(value="http://open-services.net/ns/rm#")
      @OslcResourceShape(title="Requirement Resource Shape",
                         describes="http://open-services.net/ns/rm#Requirement")
      public class Requirement
      extends org.eclipse.lyo.oslc4j.core.model.AbstractResource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Requirement()`
    `Requirement(URI about)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAffectedBy(org.eclipse.lyo.oslc4j.core.model.Link affectedBy)`
    `void` | `addConstrainedBy(org.eclipse.lyo.oslc4j.core.model.Link constrainedBy)`
    `void` | `addConstrains(org.eclipse.lyo.oslc4j.core.model.Link constrains)`
    `void` | `addContributor(URI contributor)`
    `void` | `addCreator(URI creator)`
    `void` | `addDecomposedBy(org.eclipse.lyo.oslc4j.core.model.Link decomposedBy)`
    `void` | `addDecomposes(org.eclipse.lyo.oslc4j.core.model.Link decomposes)`
    `void` | `addElaboratedBy(org.eclipse.lyo.oslc4j.core.model.Link elaboratedBy)`
    `void` | `addElaborates(org.eclipse.lyo.oslc4j.core.model.Link elaborates)`
    `void` | `addImplementedBy(org.eclipse.lyo.oslc4j.core.model.Link implementedBy)`
    `void` | `addRdfType(URI rdfType)`
    `void` | `addSatisfiedBy(org.eclipse.lyo.oslc4j.core.model.Link satisfiedBy)`
    `void` | `addSatisfies(org.eclipse.lyo.oslc4j.core.model.Link satisfies)`
    `void` | `addSpecifiedBy(org.eclipse.lyo.oslc4j.core.model.Link specifiedBy)`
    `void` | `addSpecifies(org.eclipse.lyo.oslc4j.core.model.Link specifies)`
    `void` | `addSubject(String subject)`
    `void` | `addTrackedBy(org.eclipse.lyo.oslc4j.core.model.Link trackedBy)`
    `void` | `addValidatedBy(org.eclipse.lyo.oslc4j.core.model.Link validatedBy)`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getAffectedBy()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getConstrainedBy()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getConstrains()`
    `URI[]` | `getContributors()`
    `Date` | `getCreated()`
    `URI[]` | `getCreators()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getDecomposedBy()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getDecomposes()`
    `String` | `getDescription()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getElaboratedBy()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getElaborates()`
    `String` | `getIdentifier()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getImplementedBy()`
    `URI` | `getInstanceShape()`
    `Date` | `getModified()`
    `URI[]` | `getRdfTypes()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getSatisfiedBy()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getSatisfies()`
    `URI` | `getServiceProvider()`
    `String` | `getShortTitle()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getSpecifiedBy()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getSpecifies()`
    `String[]` | `getSubjects()`
    `String` | `getTitle()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getTrackedBy()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getValidatedBy()`
    `void` | `setAffectedBy(org.eclipse.lyo.oslc4j.core.model.Link[] affectedBy)`
    `void` | `setConstrainedBy(org.eclipse.lyo.oslc4j.core.model.Link[] constrainedBy)`
    `void` | `setConstrains(org.eclipse.lyo.oslc4j.core.model.Link[] constrains)`
    `void` | `setContributors(URI[] contributors)`
    `void` | `setCreated(Date created)`
    `void` | `setCreators(URI[] creators)`
    `void` | `setDecomposedBy(org.eclipse.lyo.oslc4j.core.model.Link[] decomposedBy)`
    `void` | `setDecomposes(org.eclipse.lyo.oslc4j.core.model.Link[] decomposes)`
    `void` | `setDescription(String description)`
    `void` | `setElaboratedBy(org.eclipse.lyo.oslc4j.core.model.Link[] elaboratedBy)`
    `void` | `setElaborates(org.eclipse.lyo.oslc4j.core.model.Link[] elaborates)`
    `void` | `setIdentifier(String identifier)`
    `void` | `setImplementedBy(org.eclipse.lyo.oslc4j.core.model.Link[] implementedBy)`
    `void` | `setInstanceShape(URI instanceShape)`
    `void` | `setModified(Date modified)`
    `void` | `setRdfTypes(URI[] rdfTypes)`
    `void` | `setSatisfiedBy(org.eclipse.lyo.oslc4j.core.model.Link[] satisfiedBy)`
    `void` | `setSatisfies(org.eclipse.lyo.oslc4j.core.model.Link[] satisfies)`
    `void` | `setServiceProvider(URI serviceProvider)`
    `void` | `setShortTitle(String shortTitle)`
    `void` | `setSpecifiedBy(org.eclipse.lyo.oslc4j.core.model.Link[] specifiedBy)`
    `void` | `setSpecifies(org.eclipse.lyo.oslc4j.core.model.Link[] specifies)`
    `void` | `setSubjects(String[] subjects)`
    `void` | `setTitle(String title)`
    `void` | `setTrackedBy(org.eclipse.lyo.oslc4j.core.model.Link[] trackedBy)`
    `void` | `setValidatedBy(org.eclipse.lyo.oslc4j.core.model.Link[] validatedBy)`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource

      `addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Requirement

          public Requirement()

    - #### Requirement

          public Requirement(URI about)

  - ### Method Detail

    - #### addSubject

          public void addSubject(String subject)

    - #### addConstrains

          public void addConstrains(org.eclipse.lyo.oslc4j.core.model.Link constrains)

    - #### addConstrainedBy

          public void addConstrainedBy(org.eclipse.lyo.oslc4j.core.model.Link constrainedBy)

    - #### addDecomposes

          public void addDecomposes(org.eclipse.lyo.oslc4j.core.model.Link decomposes)

    - #### addDecomposedBy

          public void addDecomposedBy(org.eclipse.lyo.oslc4j.core.model.Link decomposedBy)

    - #### addSatisfies

          public void addSatisfies(org.eclipse.lyo.oslc4j.core.model.Link satisfies)

    - #### addSatisfiedBy

          public void addSatisfiedBy(org.eclipse.lyo.oslc4j.core.model.Link satisfiedBy)

    - #### addValidatedBy

          public void addValidatedBy(org.eclipse.lyo.oslc4j.core.model.Link validatedBy)

    - #### addTrackedBy

          public void addTrackedBy(org.eclipse.lyo.oslc4j.core.model.Link trackedBy)

    - #### addImplementedBy

          public void addImplementedBy(org.eclipse.lyo.oslc4j.core.model.Link implementedBy)

    - #### addAffectedBy

          public void addAffectedBy(org.eclipse.lyo.oslc4j.core.model.Link affectedBy)

    - #### addElaboratedBy

          public void addElaboratedBy(org.eclipse.lyo.oslc4j.core.model.Link elaboratedBy)

    - #### addElaborates

          public void addElaborates(org.eclipse.lyo.oslc4j.core.model.Link elaborates)

    - #### addSpecifiedBy

          public void addSpecifiedBy(org.eclipse.lyo.oslc4j.core.model.Link specifiedBy)

    - #### addSpecifies

          public void addSpecifies(org.eclipse.lyo.oslc4j.core.model.Link specifies)

    - #### addContributor

          public void addContributor(URI contributor)

    - #### addCreator

          public void addCreator(URI creator)

    - #### addRdfType

          public void addRdfType(URI rdfType)

    - #### getSubjects

          @OslcDescription(value="Tag or keyword for a resource. Each occurrence of a dcterms:subject property denotes an additional tag for the resource.")
          @OslcName(value="subject")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/subject")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Subjects")
          public String[] getSubjects()

    - #### getElaboratedBy

          @OslcDescription(value="The subject is elaborated by the object.")
          @OslcName(value="elaboratedBy")
          @OslcPropertyDefinition(value="http://open-services.net/ns/rm#elaboratedBy")
          @OslcRange(value="http://open-services.net/ns/rm#Requirement")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Elaborated By")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getElaboratedBy()

    - #### getElaborates

          @OslcDescription(value="The object is elaborated by the subject.")
          @OslcName(value="elaborates")
          @OslcPropertyDefinition(value="http://open-services.net/ns/rm#elaborates")
          @OslcRange(value="http://open-services.net/ns/rm#Requirement")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Elaborates")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getElaborates()

    - #### getSpecifiedBy

          @OslcDescription(value="The subject is specified by the object.")
          @OslcName(value="specifiedBy")
          @OslcPropertyDefinition(value="http://open-services.net/ns/rm#specifiedBy")
          @OslcRange(value="http://open-services.net/ns/rm#Requirement")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Specified By")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getSpecifiedBy()

    - #### getSpecifies

          @OslcDescription(value="The object is specified by the subject.")
          @OslcName(value="specifies")
          @OslcPropertyDefinition(value="http://open-services.net/ns/rm#specifies")
          @OslcRange(value="http://open-services.net/ns/rm#Requirement")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Specifies")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getSpecifies()

    - #### getImplementedBy

          @OslcDescription(value="Resource, such as a change request, which implements this requirement.")
          @OslcName(value="implementedBy")
          @OslcPropertyDefinition(value="http://open-services.net/ns/rm#implementedBy")
          @OslcRange(value="http://open-services.net/ns/rm#Requirement")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Implemented By")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getImplementedBy()

    - #### getAffectedBy

          @OslcDescription(value="Requirement is affected by a resource, such as a defect or issue.")
          @OslcName(value="affectedBy")
          @OslcPropertyDefinition(value="http://open-services.net/ns/rm#affectedBy")
          @OslcRange(value="http://open-services.net/ns/rm#Requirement")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Affected By")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getAffectedBy()

    - #### getTrackedBy

          @OslcDescription(value="Resource, such as a change request, which tracks this requirement.")
          @OslcName(value="trackedBy")
          @OslcPropertyDefinition(value="http://open-services.net/ns/rm#trackedBy")
          @OslcRange(value="http://open-services.net/ns/rm#Requirement")
          @OslcReadOnly(value=false)
          @OslcTitle(value="tracked By")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getTrackedBy()

    - #### getValidatedBy

          @OslcDescription(value="Resource, such as a test case, which validates this requirement.")
          @OslcName(value="validatedBy")
          @OslcPropertyDefinition(value="http://open-services.net/ns/rm#validatedBy")
          @OslcRange(value="http://open-services.net/ns/rm#Requirement")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Validated By")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getValidatedBy()

    - #### getSatisfiedBy

          @OslcDescription(value="The subject is satisfied by the object.")
          @OslcName(value="satisfiedBy")
          @OslcPropertyDefinition(value="http://open-services.net/ns/rm#satisfiedBy")
          @OslcRange(value="http://open-services.net/ns/rm#Requirement")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Satisfied By")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getSatisfiedBy()

    - #### getSatisfies

          @OslcDescription(value="The object is satisfied by the subject.")
          @OslcName(value="satisfies")
          @OslcPropertyDefinition(value="http://open-services.net/ns/rm#satisfies")
          @OslcRange(value="http://open-services.net/ns/rm#Requirement")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Satisfies")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getSatisfies()

    - #### getDecomposedBy

          @OslcDescription(value="The subject is decomposed by the object.")
          @OslcName(value="decomposedBy")
          @OslcPropertyDefinition(value="http://open-services.net/ns/rm#decomposedBy")
          @OslcRange(value="http://open-services.net/ns/rm#Requirement")
          @OslcReadOnly(value=false)
          @OslcTitle(value="DecomposedBy")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getDecomposedBy()

    - #### getDecomposes

          @OslcDescription(value="The object is decomposed by the subject.")
          @OslcName(value="decomposes")
          @OslcPropertyDefinition(value="http://open-services.net/ns/rm#decomposes")
          @OslcRange(value="http://open-services.net/ns/rm#Requirement")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Decomposes")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getDecomposes()

    - #### getConstrainedBy

          @OslcDescription(value="The subject is constrained by the object.")
          @OslcName(value="constrainedBy")
          @OslcPropertyDefinition(value="http://open-services.net/ns/rm#constrainedBy")
          @OslcRange(value="http://open-services.net/ns/rm#Requirement")
          @OslcReadOnly(value=false)
          @OslcTitle(value="ConstrainedBy")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getConstrainedBy()

    - #### getConstrains

          @OslcDescription(value="The object is constrained by the subject.")
          @OslcName(value="constrains")
          @OslcPropertyDefinition(value="http://open-services.net/ns/rm#constrains")
          @OslcRange(value="http://open-services.net/ns/rm#Requirement")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Constrains")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getConstrains()

    - #### getContributors

          @OslcDescription(value="The person(s) who are responsible for the work needed to complete the change request.")
          @OslcName(value="contributor")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/contributor")
          @OslcRange(value="http://xmlns.com/foaf/0.1/Person")
          @OslcTitle(value="Contributors")
          public URI[] getContributors()

    - #### getCreated

          @OslcDescription(value="Timestamp of resource creation.")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/created")
          @OslcReadOnly
          @OslcTitle(value="Created")
          public Date getCreated()

    - #### getCreators

          @OslcDescription(value="Creator or creators of resource.")
          @OslcName(value="creator")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/creator")
          @OslcRange(value="http://xmlns.com/foaf/0.1/Person")
          @OslcTitle(value="Creators")
          public URI[] getCreators()

    - #### getDescription

          @OslcDescription(value="Descriptive text (reference: Dublin Core) about resource represented as rich text in XHTML content.")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/description")
          @OslcTitle(value="Description")
          @OslcValueType(value=XMLLiteral)
          public String getDescription()

    - #### getIdentifier

          @OslcDescription(value="A unique identifier for a resource. Assigned by the service provider when a resource is created. Not intended for end-user display.")
          @OslcOccurs(value=ExactlyOne)
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/identifier")
          @OslcReadOnly
          @OslcTitle(value="Identifier")
          public String getIdentifier()

    - #### getInstanceShape

          @OslcDescription(value="Resource Shape that provides hints as to resource property value-types and allowed values. ")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#instanceShape")
          @OslcRange(value="http://open-services.net/ns/core#ResourceShape")
          @OslcTitle(value="Instance Shape")
          public URI getInstanceShape()

    - #### getModified

          @OslcDescription(value="Timestamp last latest resource modification.")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/modified")
          @OslcReadOnly
          @OslcTitle(value="Modified")
          public Date getModified()

    - #### getRdfTypes

          @OslcDescription(value="The resource type URIs.")
          @OslcName(value="type")
          @OslcPropertyDefinition(value="http://www.w3.org/1999/02/22-rdf-syntax-ns#type")
          @OslcTitle(value="Types")
          public URI[] getRdfTypes()

    - #### getServiceProvider

          @OslcDescription(value="The scope of a resource is a URI for the resource\'s OSLC Service Provider.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#serviceProvider")
          @OslcRange(value="http://open-services.net/ns/core#ServiceProvider")
          @OslcTitle(value="Service Provider")
          public URI getServiceProvider()

    - #### getShortTitle

          @OslcDescription(value="Short name identifying a resource, often used as an abbreviated identifier for presentation to end-users.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#shortTitle")
          @OslcTitle(value="Short Title")
          @OslcValueType(value=XMLLiteral)
          public String getShortTitle()

    - #### getTitle

          @OslcDescription(value="Title (reference: Dublin Core) or often a single line summary of the resource represented as rich text in XHTML content.")
          @OslcOccurs(value=ExactlyOne)
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/title")
          @OslcTitle(value="Title")
          @OslcValueType(value=XMLLiteral)
          public String getTitle()

    - #### setConstrains

          public void setConstrains(org.eclipse.lyo.oslc4j.core.model.Link[] constrains)

    - #### setConstrainedBy

          public void setConstrainedBy(org.eclipse.lyo.oslc4j.core.model.Link[] constrainedBy)

    - #### setDecomposes

          public void setDecomposes(org.eclipse.lyo.oslc4j.core.model.Link[] decomposes)

    - #### setDecomposedBy

          public void setDecomposedBy(org.eclipse.lyo.oslc4j.core.model.Link[] decomposedBy)

    - #### setSatisfies

          public void setSatisfies(org.eclipse.lyo.oslc4j.core.model.Link[] satisfies)

    - #### setSatisfiedBy

          public void setSatisfiedBy(org.eclipse.lyo.oslc4j.core.model.Link[] satisfiedBy)

    - #### setValidatedBy

          public void setValidatedBy(org.eclipse.lyo.oslc4j.core.model.Link[] validatedBy)

    - #### setTrackedBy

          public void setTrackedBy(org.eclipse.lyo.oslc4j.core.model.Link[] trackedBy)

    - #### setAffectedBy

          public void setAffectedBy(org.eclipse.lyo.oslc4j.core.model.Link[] affectedBy)

    - #### setImplementedBy

          public void setImplementedBy(org.eclipse.lyo.oslc4j.core.model.Link[] implementedBy)

    - #### setElaboratedBy

          public void setElaboratedBy(org.eclipse.lyo.oslc4j.core.model.Link[] elaboratedBy)

    - #### setElaborates

          public void setElaborates(org.eclipse.lyo.oslc4j.core.model.Link[] elaborates)

    - #### setSpecifiedBy

          public void setSpecifiedBy(org.eclipse.lyo.oslc4j.core.model.Link[] specifiedBy)

    - #### setSpecifies

          public void setSpecifies(org.eclipse.lyo.oslc4j.core.model.Link[] specifies)

    - #### setContributors

          public void setContributors(URI[] contributors)

    - #### setCreated

          public void setCreated(Date created)

    - #### setCreators

          public void setCreators(URI[] creators)

    - #### setDescription

          public void setDescription(String description)

    - #### setIdentifier

          public void setIdentifier(String identifier)

    - #### setInstanceShape

          public void setInstanceShape(URI instanceShape)

    - #### setModified

          public void setModified(Date modified)

    - #### setRdfTypes

          public void setRdfTypes(URI[] rdfTypes)

    - #### setServiceProvider

          public void setServiceProvider(URI serviceProvider)

    - #### setShortTitle

          public void setShortTitle(String shortTitle)

    - #### setTitle

          public void setTitle(String title)

    - #### setSubjects

          public void setSubjects(String[] subjects)

Copyright © 2016. All Rights Reserved.